octofussd - Segnalazione #778

Limitazione 200 caratteri valori host
03/18/2019 03:56 PM - Marco Marinello

Status: Rifiutato Start date: 03/18/2019
Priority: Normale Due date:

Assignee: Marco Marinello % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Lavorando su #764 mi sono accorto che la tabella sqlite in /var/lib/octofussd/octofussd.sqlite ha un limite al campo “value’ della
tabella “host_components® di 200 caratteri. Si pud aumentare a pit 0 meno 10.000?

Related issues:
Related to octofuss-client - Segnalazione #764: Invio dati /etc Commenti 02/21/2019

History

#1 - 03/19/2019 10:25 AM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to TRUELITE

#2 - 03/21/2019 11:46 AM - Simone Piccardi
- Assignee changed from TRUELITE to Paolo Dongilli

Non vedo la necessita (facendo riferimento ai dati indicati in #763) di salvare la lista dei file modificati dentro il DB. Mi & anche poco chiaro lo scopo
del tutto.

#3 - 03/21/2019 11:54 AM - Marco Marinello

- Assignee changed from Paolo Dongilli to Simone Piccardi

| tecnici vogliono uno strumento efficacie e veloce di diagnosi. Ad es. se vengono avvertiti del fatto che il dhcp abbia smesso di funzionare, entrano in
OctoMon e se vedono che la configurazione & stata committata di recente indagano prima quello.

#4 - 03/21/2019 12:14 PM - Simone Piccardi

Marco Marinello ha scritto:

| tecnici vogliono uno strumento efficacie e veloce di diagnosi. Ad es. se vengono avvertiti del fatto che il dhcp abbia smesso di funzionare,
entrano in OctoMon e se vedono che la configurazione € stata committata di recente indagano prima quello.

Non mi pare che caricare il database di dati che sono gia mantenuti altrove abbia molto senso, al piu basta salvare data e ID del commit, non la lista
dei file, 0 anche semplicemente ottenerli al volo con una richiesta.

Comunque per il funzionamento di etckeeper i commit vengono fatti alla fine di un apt-upgrade, se han fatto modifiche in locale e non ci sono stati

aggiornamenti i cambiamenti non li vedi se non vai sopra la macchina, cosa che comunque se non funziona qualcosa € la prima cosa da fare (perché
prima di guardare i cambi di configurazione si guarda se il programma gira, e se non gira cosa dicono i log).
#5 - 03/21/2019 12:14 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Paolo Dongilli

#6 - 03/21/2019 12:37 PM - Marco Marinello

- Assignee changed from Paolo Dongilli to Simone Piccardi

Simone Piccardi ha scritto:

Non mi pare che caricare il database di dati che sono gia mantenuti altrove abbia molto senso, al piu basta salvare data e ID del commit, non la
lista dei file,

Renderebbe la feature inutile: sapere che c'é stato un upgrade senza sapere cos'ha modificato serve a poco (soprattutto considerando che i server
non hanno upgrade automatici tranne gli unattended e gli aggiornamenti derivano quindi sempre da azione umana).

o anche semplicemente ottenerli al volo con una richiesta.

Non & possibile da OctoMon.

Comunque per il funzionamento di etckeeper i commit vengono fatti alla fine di un apt-upgrade, se han fatto modifiche in locale e non ci sono
stati aggiornamenti i cambiamenti non li vedi se non vai sopra la macchina,

Si possono abilitare i daily autocommit se non lo sono gia.

cosa che comunque se non funziona qualcosa ¢ la prima cosa da fare (perché prima di guardare i cambi di configurazione si guarda se il
programma gira, € se non gira cosa dicono i log).

Comunque questo ticket & per modificare il DB, la feature & gia stata discussa ed ha i suoi ticket dedicati.
#7 - 03/21/2019 12:52 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Paolo Dongilli

Marco Marinello ha scritto:
Simone Piccardi ha scritto:

Non mi pare che caricare il database di dati che sono gia mantenuti altrove abbia molto senso, al piu basta salvare data e ID del commit,
non la lista dei file,

Renderebbe la feature inutile: sapere che c'é stato un upgrade senza sapere cos'ha modificato serve a poco (soprattutto considerando che i
server non hanno upgrade automatici tranne gli unattended e gli aggiornamenti derivano quindi sempre da azione umana).

Per sapere cosa ¢ stato modificato basta collegarsi e guardare, cosa da fare comunque in caso di problemi.

0 anche semplicemente ottenerli al volo con una richiesta.

Non é possibile da OctoMon.

Basta renderlo tale.

Cosa che significa comungque modificare una istanza di un programma e non tutte quelle di tutti i fuss-server, ed & quello che se questa necessita &
davvero cosi rilevante, e preferibile fare.

cosa che comunque se non funziona qualcosa ¢ la prima cosa da fare (perché prima di guardare i cambi di configurazione si guarda se il
programma gira, € se non gira cosa dicono i log).

Comunque questo ticket & per modificare il DB, la feature & gia stata discussa ed ha i suoi ticket dedicati.

La mia valutazione é che la modifica richiesta ha un costo che non corrisponde ad beneficio significativo.

Dopo di che lascio la valutazione a chi & responsabile del progetto se vale la pena usare le risorse per questo o per altro.
#8 - 03/21/2019 04:22 PM - Paolo Dongilli
- Status changed from Nuovo to Rifiutato

- Assignee changed from Paolo Dongilli to Marco Marinello

Sospendo questa richiesta di modifica per una questione di priorita e valutazione costi/benefici.

#9 - 03/23/2019 03:09 PM - Marco Marinello
- Related to Segnalazione #764: Invio dati /etc added
